import Ext from "../../../../tr-grid-util/es6/Ext.js";
import ElementWrapper from "./ElementWrapper.js";
import Util from "../util/util.js";
import ILayoutGrid from "../ILayoutGrid.js";
import CellFloatingPanel from "../components/CellFloatingPanel.js";

declare class Cell extends ElementWrapper {

    constructor(opt_element?: Element|null, opt_section?: ILayoutGrid|null);

    public setTextContent(str: string): void;

    public getTextElement(): Element|null;

    public hasElement(): boolean;

    public getSection(): ILayoutGrid|null;

    public initialize(): Element;

    public updateIcon(icon: Element|null): void;

    public removeIcon(): void;

    public setContentTooltip(str: string): boolean;

    public lockContent(opt_locked: boolean): void;

    public reset(): void;

    public resetClass(): void;

    public resetToInitialState(): void;

    public insertFloatingIcon(elem: Element|null, opt_order?: number|null): void;

    public removeFloatingIcon(elemRef: Element|string|null): Element|null|null;

    public insertFrontIcon(elem: Element|null, opt_order?: number|null): void;

    public removeFrontIcon(elemRef: Element|string|null): Element|null|null;

    public updatePadding(): void;

    public setTooltip(str: string|null|null): void;

}

declare function fc(str: string): void;

export default Cell;
export { Cell };
