import Ext from "../../../../tr-grid-util/es6/Ext.js";
import Util from "../util/util.js";
import ElementWrapper from "../components/ElementWrapper.js";
import Cell from "../components/Cell.js";
import ILayoutGrid from "../ILayoutGrid.js";

declare class Column extends ElementWrapper {

    constructor(section: ILayoutGrid|null);

    public clearContent(): void;

    public setNextSibling(sibling: Column|null): void;

    public isActive(): boolean;

    public getSection(): ILayoutGrid|null;

}

export default Column;
export { Column };
