import Ext from "../../../../tr-grid-util/es6/Ext.js";
import ElementWrapper from "../components/ElementWrapper.js";
import Scrollbar from "./Scrollbar.js";

declare class HScrollbar extends Scrollbar {

    constructor();

    public setScrollLeft(px: number): void;

    public getPinnedLeftColumnCount(): number;

    public getPinnedRightColumnCount(): number;

    public isEndOfHorizontalScroll(): boolean;

    public getContentWidth(): number;

    public getTrackSize(): number;

}

declare function scrollHost(): void;

declare function elem(): number;

export default HScrollbar;
export { HScrollbar };
