import Ext from "../../../../tr-grid-util/es6/Ext.js";
import Util from "../util/util.js";
import ElementWrapper from "../components/ElementWrapper.js";
import Reverter from "../util/Reverter.js";

declare class Scrollbar extends ElementWrapper {

    constructor();

    public static updateTrackThickness(): void;

    public attachToExternalElement(host: Element|Node|null): void;

    public isActive(): boolean;

    public isEnabled(): boolean;

    public enable(opt_enabled?: boolean|null): void;

    public disable(opt_disabled?: boolean|null): void;

    public getTrackSize(): number;

    public getContentSize(): number;

    public getTrackThickness(): number;

    public getScrollGap(): number;

    public setTrackSize(size: number, paneSize: number): void;

    public update(): boolean;

    public flash(): void;

    public disableKeyboardInput(opt_disabled?: boolean|null): void;

    public disableTouchInput(opt_disabled?: boolean|null): void;

    public setAutoHide(hide: boolean): void;

    public getAutoHide(): boolean;

    public disableMouseWheel(opt_disabled?: boolean|null): void;

    public addWheelListener(elem: Element|null): void;

    public removeWheelListener(elem: Element|null): void;

    public setMouseWheelSpeed(val: string): void;

    public getDefaultMouseWheelLogic(): ((...params: any[]) => any)|null;

    public setScrollingStep(px: number): void;

    public freezeScrolling(frozen?: boolean|null): boolean;

    public restoreTrackPosition(): void;

}

export default Scrollbar;
export { Scrollbar };
