import EventListeners from "./EventListeners.js";

declare class EventDispatcher {

    constructor();

    public listen(type: string, handler: ((...params: any[]) => any)|null, opt_priority?: number|null): void;

    public unlisten(type: string, handler: ((...params: any[]) => any)|null): void;

    public unlistenAll(type?: string|null): void;

}

export default EventDispatcher;
export { EventDispatcher };
