import FormatterBuilder from "./FormatterBuilder.js";
import TickCodes from "../../tr-grid-util/es6/TickCodes.js";
import ElfUtil from "../../tr-grid-util/es6/ElfUtil.js";

declare namespace SimpleTickerFormatter {

    type Options = {
        positiveColor?: string|null,
        negativeColor?: string|null
    };

}

declare class SimpleTickerFormatter {

    constructor(options?: any);

    public static create(options?: (FormatterBuilder.Options|SimpleTickerFormatter.Options|any)|null): any;

}

export default SimpleTickerFormatter;
export { SimpleTickerFormatter };
