/* eslint-disable */

import CoralButtonFormatter from "./CoralButtonFormatter.js";
import CoralCheckboxFormatter from "./CoralCheckboxFormatter.js";
import CoralComboBoxFormatter from "./CoralComboBoxFormatter.js";
import CoralIconFormatter from "./CoralIconFormatter.js";
import CoralInputFormatter from "./CoralInputFormatter.js";
import CoralRadioButtonFormatter from "./CoralRadioButtonFormatter.js";
import CoralSelectFormatter from "./CoralSelectFormatter.js";
import CoralToggleFormatter from "./CoralToggleFormatter.js";
import DuplexEmeraldDateTimePickerFormatter from "./DuplexEmeraldDateTimePickerFormatter.js";
import EmeraldDateTimePickerFormatter from "./EmeraldDateTimePickerFormatter.js";
import NumericInputFormatter from "./NumericInputFormatter.js";
import PercentBarFormatter from "./PercentBarFormatter.js";
import SimpleImageFormatter from "./SimpleImageFormatter.js";
import SimpleInputFormatter from "./SimpleInputFormatter.js";
import SimpleLinkFormatter from "./SimpleLinkFormatter.js";
import SimpleTickerFormatter from "./SimpleTickerFormatter.js";
import SimpleToggleFormatter from "./SimpleToggleFormatter.js";
import TextFormatter from "./TextFormatter.js";

import EFButtonFormatter from "./EFButtonFormatter.js";
import EFCheckboxFormatter from "./EFCheckboxFormatter.js";
import EFComboBoxFormatter from "./EFComboBoxFormatter.js";
import EFDateTimePickerFormatter from "./EFDateTimePickerFormatter.js";
import EFIconFormatter from "./EFIconFormatter.js";
import EFNumberFieldFormatter from "./EFNumberFieldFormatter.js";
import EFRadioButtonFormatter from "./EFRadioButtonFormatter.js";
import EFSelectFormatter from "./EFSelectFormatter.js";
import EFTextFieldFormatter from "./EFTextFieldFormatter.js";
import EFToggleFormatter from "./EFToggleFormatter.js"; 

// tsd-disable
var tr = window["tr"];
if (!tr) {
	tr = window["tr"] = {};
}

tr.CoralButtonFormatter = CoralButtonFormatter;
tr.CoralCheckboxFormatter = CoralCheckboxFormatter;
tr.CoralComboBoxFormatter = CoralComboBoxFormatter;
tr.CoralIconFormatter = CoralIconFormatter;
tr.CoralInputFormatter = CoralInputFormatter;
tr.CoralRadioButtonFormatter = CoralRadioButtonFormatter;
tr.CoralSelectFormatter = CoralSelectFormatter;
tr.CoralToggleFormatter = CoralToggleFormatter;
tr.DuplexEmeraldDateTimePickerFormatter = DuplexEmeraldDateTimePickerFormatter;
tr.EmeraldDateTimePickerFormatter = EmeraldDateTimePickerFormatter;
tr.NumericInputFormatter = NumericInputFormatter;
tr.PercentBarFormatter = PercentBarFormatter;
tr.SimpleImageFormatter = SimpleImageFormatter;
tr.SimpleInputFormatter = SimpleInputFormatter;
tr.SimpleLinkFormatter = SimpleLinkFormatter;
tr.SimpleTickerFormatter = SimpleTickerFormatter;
tr.SimpleToggleFormatter = SimpleToggleFormatter;
tr.TextFormatter = TextFormatter;
// tsd-enable

export {
	CoralButtonFormatter,
	CoralCheckboxFormatter,
	CoralComboBoxFormatter,
	CoralIconFormatter,
	CoralInputFormatter,
	CoralRadioButtonFormatter,
	CoralSelectFormatter,
	CoralToggleFormatter,
	DuplexEmeraldDateTimePickerFormatter,
	EmeraldDateTimePickerFormatter,
	NumericInputFormatter,
	PercentBarFormatter,
	SimpleImageFormatter,
	SimpleInputFormatter,
	SimpleLinkFormatter,
	SimpleTickerFormatter,
	SimpleToggleFormatter,
	TextFormatter,
	EFButtonFormatter,
	EFCheckboxFormatter,
	EFComboBoxFormatter,
	EFDateTimePickerFormatter,
	EFIconFormatter,
	EFNumberFieldFormatter,
	EFRadioButtonFormatter,
	EFSelectFormatter,
	EFTextFieldFormatter,
	EFToggleFormatter
};