
/* @constructor */
let PredefinedFormula = {};
/** @private
* @type {Object<string, string>}
*/
PredefinedFormula._formulas = {};
/** @public
* @function
* @param {string} field
* @param {string} formula
*/
PredefinedFormula.set = function(field, formula) {
	PredefinedFormula._formulas[field] = formula;
};
/** @public
* @function
* @param {string} field
* @return {string}
*/
PredefinedFormula.get = function(field) {
	return PredefinedFormula._formulas[field] || "";
};
/** @public
* @function
* @param {string} field
*/
PredefinedFormula.remove = function(field) {
	delete PredefinedFormula._formulas[field];
};

export {PredefinedFormula};
export default PredefinedFormula;
