

declare class ReferenceCounter {

    constructor();

    public reset(): void;

    public newSession(): void;

    public getAllReferences(): (string)[];

    public hasReference(): boolean;

    public getAllReferers(): (string)[];

    public getAllReferrers(): (string)[];

    public getSession(): any;

    public addReference(key: string, referer?: string|null): boolean;

    public addRef(key: string): boolean;

    public removeReference(key: string, referer?: string|null, count?: number|null): boolean;

    public release(key: string): void;

    public addReferences(keys: (string|(string)[]|any)|null, referer?: string|null): number;

    public removeReferer(referer?: string|null): number;

    public removeReferrer(referer?: string|null): number;

    public log(): void;

}

export {ReferenceCounter};
export default ReferenceCounter;
