import MenuItem from "./MenuItem.js";
import Popup from "../../tr-grid-util/es6/Popup.js";
import EventDispatcher from "../../tr-grid-util/es6/EventDispatcher.js";
import Ext from "../../tr-grid-util/es6/Ext.js";

declare class PopupMenu extends EventDispatcher {

    constructor(parentElement: Element|null);

    public isDisposed(): boolean;

    public dispose(): void;

    public show(): void;

    public hide(): void;

    public attachTo(elem: Element|null, positioning: Popup.Positioning|null): void;

    public setPosition(positioning: Popup.Positioning|null, x: number, y: number): void;

    public addPopupChild(element: Element|null, popupMenu: PopupMenu|null): void;

    public setMenu(menuOptions: (any)[]|null): void;

    public getMenuItems(): (MenuItem)[]|null;

    public getChildPopups(): (PopupMenu)[]|null;

}

export default PopupMenu;
export { PopupMenu };
