import { Ext } from "../../tr-grid-util/es6/Ext.js";
import { ElementWrapper } from "../../tr-grid-util/es6/ElementWrapper.js"; // ElementWrapper doesnot have setStyle and etc.
import { Dom } from "../../tr-grid-util/es6/Dom.js";

declare class CellWriter extends ElementWrapper {

    constructor();

    public getParent(): Node|null;

    public getContent(): Node|null;

    public setContent(content: any, tooltip?: boolean|null): Element|null;

    public setTooltip(str: string): void;

    public setTextContent(str: string): void;

    public addContent(n: any): Element|null;

    public setStyle(str: string, val: any): void;

    public removeIcon(n: any): void;

    public updateIcon(elem: Element|null): void;

    public unlisten(): void;

    public listen(): void;

    public addClass(str: string): void;

    public hasClass(str: string): boolean;

    public removeClass(str: string): void;

    public enableClass(str: string, bool: boolean): void;

    public insertFloatingIcon(elem: Element|null, order: number): void;

    public removeFloatingIcon(elemRef: string|Element|null, order: number): void;

    public getSection(): null;

    public cloak(elem: Element|null): void;

}

export default CellWriter;
export { CellWriter };
