import { Ext } from "../../tr-grid-util/es6/Ext.js";
import { EventDispatcher } from "../../tr-grid-util/es6/EventDispatcher.js";

declare class PrintTrait {

    constructor();

    public static readonly DEBUG: boolean;

    public static calculateEnvironment(): any;

    public observe(iframeElement?: HTMLIFrameElement|null): void;

    public unobserve(): void;

    public isObserving(): boolean;

    public dispose(): void;

    public print(): void;

    public _print(): void;

    public static createBlankPages(pageCount: number): Element;

    public createClientBox(pw: number, ph: number): Element;

    public enablePaperSizeCorrection(enabled: boolean): void;

    public fixPaperSize(enabled: boolean): void;

    public getDocumentElement(): Element|null|null;

    public getBodyElement(): Element|null|null;

}

export default PrintTrait;
export { PrintTrait };
