import {Ext} from './Ext.js';
import {EventDispatcher} from './EventDispatcher.js';

declare class ElementWrapper extends EventDispatcher {

    constructor();

    public getElement(): Element|null;

    public setParent(parent: Node|ElementWrapper|null): void;

    public getBoundingClientRect(): any;

    public getMousePosition(e: Event|null, retObj?: any): any;

    public addEventListener(type: string, listener: ((...params: any[]) => any)|null): void;

    public removeEventListener(type: string, listener: ((...params: any[]) => any)|null): void;

}

export default ElementWrapper;
export {ElementWrapper};
