

declare class EventDispatcher {

    constructor();

    public addEventListener(type: string, handler: ((...params: any[]) => any)|null): void;

    public removeEventListener(type: string, handler: ((...params: any[]) => any)|null): void;

    public removeAllEventListeners(): void;

    public hasListener(type: string): boolean;

    public getListener(type: string, idx?: number|null): ((...params: any[]) => any)|null;

    public addListener(obj: any, type: string): void;

    public static preventDefault(e: Event|null): void;

}

declare function preventDefault(e: Event|null): void;

export default EventDispatcher;
export {EventDispatcher, preventDefault};
