

declare namespace Perf {

    function enable(enabled?: boolean|null): void;

    function isEnabled(): boolean;

    function clearMarks(): void;

    function clearMeasures(): void;

    function clearResourceTimings(): void;

    function getEntries(): (PerformanceEntry)[]|null;

    function getEntriesByName(entryName: string, entryType?: string|null): (PerformanceEntry)[]|null;

    function getEntriesByType(entryType: string): (PerformanceEntry)[]|null;

    function getEntry(entryName: string, entryType?: string|null): PerformanceEntry|null;

    function mark(markName: string): void;

    function measure(measureName: string, mark1?: string|null, mark2?: string|null): void;

    function now(): number;

}

export default Perf;
export {Perf};
