import {Dom} from './Dom.js';
import {Ext} from './Ext.js';
import {ElementWrapper} from './ElementWrapper.js';
import {ElfUtil} from './ElfUtil.js';

declare class RangeBar {

    constructor(elem?: Element|null, options?: any);

    public static readonly defaults: any;

    public setValue(lowVal?: number|null, lastVal?: number|null, highVal?: number|null): void;

    public hide(bool?: boolean|null): void;

    public isHidden(): boolean;

    public enableTooltip(enabled?: boolean|null): void;

    public setStyles(obj?: any): void;

    public getPercent(): number;

    public setPercent(percent?: number|null): void;

    public isValid(): boolean;

    public isInvalid(): boolean;

}

export default RangeBar;
export {RangeBar};
