

declare class RequestQueue {

    constructor(reqBuilder: ((...params: any[]) => any)|null, reqLimit?: number|null, timeLimit?: number|null);

    public reset(): void;

    public dispose(): void;

    public setConcurrentLimit(concurrentLimit?: number|null): void;

    public setFrequencyLimit(reqLimit?: number|null, timeLimit?: number|null): void;

    public setRequestBuilder(reqBuilder: ((...params: any[]) => any)|null): void;

    public add(obj: any): void;

    public addFront(obj: any): void;

    public getQueue(): any[];

    public makeRequest(obj: any): Promise<Response>|null;

    public isLimitReached(): boolean;

}

export default RequestQueue;
export {RequestQueue};
