import {Ext} from "../Ext.js";
import {Util} from "../Util.js";
import {EventDispatcher} from "../EventDispatcher.js";

declare class AdFinSubscription extends EventDispatcher {

    constructor();

    public static readonly ConflatorDelay: number;

    public setAdFinSettings(userId: string, productId: string, url: string): void;

    public setIntervalTime(time: number): void;

    public call(name: string, parameters: (string|number|null)[][]|null): any;

}

export {AdFinSubscription};
