import {Util} from "../Util.js";
import {Formula} from "./Formula.js";

declare namespace RealtimeService {

    const uuid: string;

    function create(): any;

    function setQuote2(quotes2: any): void;

    function getResolvedFieldName(fid: string): string|null|null;

    function resolveFieldId(formula: Formula|null, fid: string, obj?: any): Promise<any>;

}

export {RealtimeService};
