

declare class CollectionDict {

    constructor();

    public addItem(key: string, item: any): boolean;

    public addItems(key: string, items: any[]|null): boolean;

    public removeItem(key: string, item: any): boolean;

    public removeItemsByKey(key: string): boolean;

    public removeAllItems(): boolean;

    public getItems(key: string): any[]|null;

    public getAllItems(): any[]|null;

    public getItemCount(key?: string|null): number;

    public getAllKeys(): (string)[];

}

export default CollectionDict;
export { CollectionDict };
