import { randIndex, generateQuoteData } from "./DataGenerator.js";

declare class MockQuotes {

    constructor();

    public create(opt_id?: string|null): MockSubscription|null;

}

declare class MockSubscription {

    constructor(opt_id?: string|null);

    public create(opt_id?: string|null): MockSubscription|null;

    public formattedFields(fields: (string)[]|null): MockSubscription|null;

    public rawFields(fields: (string)[]|null): MockSubscription|null;

    public chain(ric: string): MockSubscription|null;

    public rics(ric: string|(string)[]|null): MockSubscription|null;

    public start(): MockSubscription|null;

    public stop(): MockSubscription|null;

    public onNewRow(handler: ((...params: any[]) => any)|null): MockSubscription|null;

    public onUpdate(handler: ((...params: any[]) => any)|null): MockSubscription|null;

    public onRemoveRow(handler: ((...params: any[]) => any)|null): MockSubscription|null;

}

export {MockQuotes, MockSubscription};
