import { DataGrid, Adc, setInvalidFields } from "./mockDataAPI.js";
import { MockQuotes2 } from "./MockQuotes2.js";
import { cloneObject } from "../Util.js";

declare class MockRTKData {

    constructor();

    public static readonly DataGrid: any;

    public static readonly Adc: any;

    public static readonly Data: any;

    public static request(payload: any): any;

    public static request(payload: any): any;

    public static setInvalidFields(payload: any): any;

}

declare class MockRTK {

    constructor();

    public static readonly DataGrid: any;

    public static readonly Adc: any;

    public static readonly Quotes: MockQuotes2|null;

    public static readonly Data: any;

    public static request(payload: any): any;

    public static request(payload: any): any;

    public static setInvalidFields(payload: any): any;

    public static init(options?: any): MockRTK|null;

    public static ready(options?: any): MockRTK|null;

}

export default MockRTK;
export { MockRTK };
