import translationEn from "./translation-en.js";
import translationDe from "./translation-de.js";
import translationJa from "./translation-ja.js";
import translationZh from "./translation-zh.js";
import translationZhHant from "./translation-zh-hant.js";

/**
* @namespace
*/
let translation = {
	"en": translationEn,
	"de": translationDe,
	"ja": translationJa,
	"zh": translationZh,
	"zh-Hant": translationZhHant
};

export default translation;
