import Ext from "../../../tr-grid-util/es6/Ext.js";
import Plugin from "./Plugin.js";
import { Conflator } from "../Core/index.js";
import TextWidthCalculator from "./TextWidthCalculator.js"

declare class ColumnWidthAdjustingPlugin extends Plugin {

    constructor(opt_restrictions?: (number|boolean)[]|null, opt_exclusions?: (number|boolean)[]|null, opt_autoAdjust?: boolean);

    public getMarker(): null;

    public setMaxWidth(maxWidth: number): void;

    public getMaxWidth(): number;

    public setMaxCharacters(maxCharacters: number): void;

    public getMaxCharacters(): number;

    public setOffsetWidth(offsetWidth: number): void;

    public getOffsetWidth(): number;

    public getAdjustedColumnWidth(colIndex: number): number;

    public setCharacterThreshold(value: number): void;

    public update(opt_e?: any): boolean;

    public setProportionalScaling(bool: boolean): void;

    public getProportionalScaling(): boolean;

    public setMinimumColumnWidth(colIndex: number, px: number): void;

    public excludeNonContentSections(opt_excluded?: boolean): void;

    public disableAutoAdjusting(opt_disabled?: boolean): void;

}

declare function to(): void;

export default ColumnWidthAdjustingPlugin;
export { ColumnWidthAdjustingPlugin };
