import Ext from "../../../tr-grid-util/es6/Ext.js";
import { preventDefault } from "../../../tr-grid-util/es6/EventDispatcher.js";
import Plugin from "./Plugin.js";
import { Core, ILayoutGrid } from "../Core/index.js";

declare class DragAndDropTitlePlugin extends Plugin {

    constructor(opt_restrictions?: (number|boolean)[]|null, opt_exclusions?: (number|boolean)[]|null, opt_targetSection?: (number)[]);

    public getMarker(): null;

    public lockFrozenColumn(lock: boolean): void;

    public disable(opt_disabled?: boolean): void;

    public disableMoving(opt_disabled?: boolean): void;

    public disableDragBox(opt_disabled?: boolean): void;

}

export default DragAndDropTitlePlugin;
export { DragAndDropTitlePlugin };
