import Ext from "../../../tr-grid-util/es6/Ext.js";
import { preventDefault } from "../../../tr-grid-util/es6/EventDispatcher.js";
import Plugin from "./Plugin.js";
import { ElementWrapper, Core } from "../Core/index.js";

declare class DraggableContentPlugin extends Plugin {

    constructor(opt_crossSection?: boolean);

    public allowDrag(opt_allowed?: boolean): void;

    public allowDrop(opt_allowed?: boolean): void;

    public cancelDrag(): void;

    public setDragContent(content: string|Element|ElementWrapper|any): void;

    public getDragBox(): ElementWrapper|null;

    public getDragSource(): string;

    public startDrag(opt_startPos?: Element|MouseEvent|ElementWrapper): void;

    public stopDrag(): void;

    public isDragging(): boolean;

    public disableDragging(opt_disabled?: boolean): void;

    public isVerticalGuideMode(): boolean;

    public enableJETDragAndDrop(opt_enabled?: boolean): void;

    public getJETDragContent(): any;

    public setJETDragContent(content: any): void;

}

export default DraggableContentPlugin;
export { DraggableContentPlugin };
