import Ext from "../../../tr-grid-util/es6/Ext.js";
import Dom from "../../../tr-grid-util/es6/Dom.js";
import Core from "../Core/grid/Core.js"; // eslint-disable-line
import EventDispatcher from "../Core/grid/event/EventDispatcher.js";
import ElementWrapper from "../Core/grid/components/ElementWrapper.js"; // eslint-disable-line

declare class Plugin extends EventDispatcher {

    constructor();

    public getName(): string;

    public initialize(owner: Core): void;

    public unload(owner: Core): void;

    public getRelativeGrid(e: Event|Element|ElementWrapper): Core|null;

    public getGridElementFromPoint(x: number, y: number): Element|null;

}

declare function item(ary: any[]|any, at: number, item: any): void;

declare function gridAPI(x: number, y: number): Element|null;

declare function to(e: any): void;

export default Plugin;
export { Plugin };
