import Ext from "../../../tr-grid-util/es6/Ext.js";
import Dom from "../../../tr-grid-util/es6/Dom.js";
import { preventDefault } from "../../../tr-grid-util/es6/EventDispatcher.js";
import Plugin from "./Plugin.js";
import { Core } from "../Core/index.js";

declare class ResizableTitlePlugin extends Plugin {

    constructor();

    public static setGuidelineColor(color: string): void;

    public config(options?: any): void;

    public disableResizing(colIndex: number, disabled?: boolean): void;

    public getDraggedColumnIndex(): number;

    public getDraggedAnchorX(): number;

    public setColumnFitWidth(colIndex: number, width: number): void;

    public keepScaleColumnAfterResize(keepScalableColumn: boolean): void;

    public setColumnWidths(cols: (number)[], width: (number)[]|number, opt_scalable?: boolean): void;

    public isColumnResizable(colIndex: number): boolean;

}

export default ResizableTitlePlugin;
export { ResizableTitlePlugin };
