import Ext from "../../../tr-grid-util/es6/Ext.js";
import Plugin from "./Plugin.js";
import { SectionSettings, ILayoutGrid } from "../Core/index.js";

declare class TreeIndentingPlugin extends Plugin {

    constructor(opt_displayColumn?: number);

    public disable(opt_disabled?: boolean): void;

    public setIndentStart(start: number): void;

    public setIndentEnd(end: number): void;

    public setIndentSize(size: number): void;

    public getDisplayColumnIndex(): number;

    public setDisplayColumnIndex(index: number): void;

    public enableFixedDisplayColumn(opt_enabled?: boolean): void;

    public expandAll(opt_expanded?: boolean): void;

    public collapseAll(opt_collapsed?: boolean): void;

    public expand(rowId: string, opt_expanded?: boolean): void;

    public collapse(rowId: string, opt_collapsed?: boolean): void;

    public updateAllIndents(): void;

    public updateHeaders(): void;

    public disableClicking(opt_disabled?: boolean): void;

    public enableHeaderRowSpanning(opt_enabled?: boolean): void;

    public enableFooterRowSpanning(opt_enabled?: boolean): void;

    public enableFooterRow(opt_num?: boolean|number): void;

}

export default TreeIndentingPlugin;
export { TreeIndentingPlugin };
