

declare class ColumnStats {

    constructor(source?: any, field?: string|null);

    public dispose(): void;

    public setDataSource(source: any): void;

    public setField(field: string): void;

    public disableOnDemandMode(opt_disabled?: boolean|null): void;

    public setColumnDataGetter(func: ((...params: any[]) => any)|null): void;

    public getColumnDataGetter(): ((...params: any[]) => any)|null;

    public getSum(): number;

    public getDataCount(): number;

    public getMin(): number;

    public getMax(): number;

    public getAbsoluteMax(): number;

    public getAverage(): number;

    public getMean(): number;

    public getMidRange(): number;

    public getCachedColumnData(): (number)[]|null;

    public markDirty(): boolean;

}

export default ColumnStats;
export { ColumnStats };
