import Util from "../util/util.js";
import TrackLayout from "../util/TrackLayout.js"; // eslint-disable-line
import ILayoutGrid from "../ILayoutGrid.js"; // eslint-disable-line
import Cell from "./Cell.js";

declare class StretchedCells {

    constructor(trackX: TrackLayout, trackY: TrackLayout, section: ILayoutGrid);

    public dispose(): void;

    public unstretchAllCells(): void;

}

export default StretchedCells;
export { StretchedCells };
