import Util from "../util/util.js";

declare class EventListeners {

    constructor(opt_sender?: any|null);

    public listen(listener: ((...params: any[]) => any)|null, opt_priority?: number|null): void;

    public unlisten(listener: ((...params: any[]) => any)|null): void;

    public unlistenAll(): void;

    public getListenerCount(): number;

    public hasListener(): boolean;

    public dispatch(eventArg: any): void;

    public isDispatching(): boolean;

    public isEnabled(): boolean;

    public enable(opt_enabled?: boolean|null): void;

    public disable(opt_disabled?: boolean|null): void;

    public setSender(sender: any|null): void;

    public setEventArgExtender(extender?: ((...params: any[]) => any)|null): void;

}

export default EventListeners;
export { EventListeners };
