import Ext from "../../../../../tr-grid-util/es6/Ext.js";
import EventDispatcher from "../event/EventDispatcher.js";
import TrackLayout from "./TrackLayout.js"; // eslint-disable-line

declare class Virtualizer extends EventDispatcher {

    constructor(trackLayout: TrackLayout);

    public getContentStart(index: number): number;

    public getContentInViewCount(): number;

    public getViewSize(): number;

    public getViewOffset(): number;

    public getIndexOffset(): number;

    public isVirtualizable(): boolean;

    public getFirstIndexInView(): number;

    public getLastIndexInView(): number;

    public getPrevFirstIndexInView(): number;

    public getPrevLastIndexInView(): number;

    public update(opt_force?: boolean|null): boolean;

    public isEnabled(): boolean;

    public enable(opt_enabled?: boolean|null): void;

    public disable(opt_disabled?: boolean|null): void;

}

export default Virtualizer;
export { Virtualizer };
