import FormatterBuilder from "./FormatterBuilder.js";
import {PercentBar} from "../../tr-grid-util/es6/PercentBar.js";

declare namespace PercentBarFormatter {

    type Options = {
        alignment?: string|null,
        movementColor?: boolean|null,
        barColor?: string|null,
        textHidden?: boolean|null,
        textWidth?: (number|string)|null
    };

}

declare class PercentBarFormatter {

    constructor(options?: any);

    public static create(options?: (FormatterBuilder.Options|PercentBarFormatter.Options|any)|null): any;

}

export default PercentBarFormatter;
export { PercentBarFormatter };
