import Ext from "../../../tr-grid-util/es6/Ext.js";
import TrackLayout from "./util/TrackLayout.js";
import SelectionList from "./util/SelectionList.js";
import Reverter from "./util/Reverter.js";
import ILayoutGrid from "./ILayoutGrid.js";
import LayoutGrid from "./LayoutGrid.js";
import ElementWrapper from "./components/ElementWrapper.js";
import HScrollbar from "./components/HScrollbar.js";
import CellBoundPainter from "./util/CellBoundPainter.js";

declare class VirtualizedLayoutGrid extends ElementWrapper {

    constructor(options?: any);

    public getContextRow(rowIndex: number): any;

    public selectColumn(colIndex: number, selected?: boolean|null): void;

    public isSelectedColumn(colIndex: number): boolean;

    public selectCell(colIndex: number, rowIndex: number, selected?: boolean|null): void;

    public setCellBounds(colIndex: number, rowIndex: number, width: number, height: number): void;

}

export default VirtualizedLayoutGrid;
export { VirtualizedLayoutGrid };
