

declare class CellSpan {

    constructor(x: number, y: number);

    public isSpanIndices(x: number, y: number): boolean;

    public isOccupiedIndices(x: number, y: number): boolean;

    public register(allSpans: (CellSpan)[], occupiedMap: { [key: string]:  CellSpan }): void;

    public unregister(allSpans: (CellSpan)[], occupiedMap: { [key: string]:  CellSpan }): void;

}

export default CellSpan;
export { CellSpan };
