

declare namespace FormatterBuilder {

    type Options = {
        field?: string|null,
        attributes?: any,
        styles?: any,
        events?: any,
        changeHandler?: ((...params: any[]) => any)|null,
        changeHandlers?: (((...params: any[]) => any))[]|null,
        onElementRendered?: ((...params: any[]) => any)|null
    };

}

declare class FormatterBuilder {

    constructor(options?: any);

    public static create(userOptions?: FormatterBuilder.Options|null, defaultOpt?: FormatterBuilder.Options|null): any;

}

export default FormatterBuilder;
export { FormatterBuilder };
