import Grid from "./Grid.js";
import {Ext} from "../../tr-grid-util/es6/Ext.js";
import {EventDispatcher} from "../../tr-grid-util/es6/EventDispatcher.js";
import {FieldDefinition} from "./FieldDefinition.js";
import { isEmptyObject } from "../../tr-grid-util/es6/Util.js";

declare class SnapshotFiller extends EventDispatcher {

    constructor();

    public dispose(rtk: any): void;

    public setRTK(rtk: any): void;

    public static setMockAdc(str: string, value: any): void;

    public static getMockAdc(str: string): any;

    public static clearMockAdc(): void;

    public setADCOptions(adcOptions: Grid.ADCOptions|null): void;

    public addRic(ric: string): void;

    public addRics(rics: (string)[]|null): boolean;

    public addField(str: string): void;

    public addFields(fields: (string)[]|null): boolean;

    public static isValidField(str: string): boolean;

}

export { SnapshotFiller };
export default SnapshotFiller;
