import { Ext } from '../../tr-grid-util/es6/Ext.js';
import { GridPlugin } from '../../tr-grid-util/es6/GridPlugin.js';

declare class TitleWrapPlugin extends GridPlugin {

    constructor();

    public getName(): string;

    public initialize(host: any, options?: any): void;

    public unload(host: any): void;

    public config(options?: any): void;

    public getConfigObject(gridOptions?: any): any;

    public adjustRowHeight(sectionRef: any, from?: number|null, to?: number|null): boolean;

    public adjustRowHeightAt(sectionRef: any, rowIndex: number): boolean;

}

declare function val(gridOptions?: any): any;

export default TitleWrapPlugin;
export { TitleWrapPlugin, TitleWrapPlugin as TitleWrap, TitleWrapPlugin as TitleWrapExtension };
