

declare namespace Color {

}

declare function rgb2Hex(rgbCode: string): string;

declare function num2Hex(triplet: (number)[]|null): string;

declare function num2Rgb(triplet: (number)[]|null): string;

declare function hex2Num(hex: string): (number)[]|null;

declare function hex2Rgb(hex: string): string;

declare function getColorLuminance(color: number): number;

declare function getRelativeLuminance(triplet: (number)[]|null): number;

declare function getContrastRatio(lumin1: number, lumin2: number): number;

declare function getContrastColor(triplet: (number)[]|null): string;

declare function blendColor(baseColor: string, maxColor: string, ratio: number): (number)[]|null;

export default Color;
export {
	Color,
	rgb2Hex,
	num2Hex,
	num2Rgb,
	hex2Num,
	hex2Rgb,
	getColorLuminance,
	getRelativeLuminance,
	getContrastRatio,
	getContrastColor,
	blendColor
};
