import { injectCss, prettifyCss } from "./Util.js";
import Dom from "./Dom.js";
import ElfUtil from "./ElfUtil.js";

declare class DragUI {

    constructor(options: any);

    public static applyThemeColor(grid: any): void;

    public onThemeLoaded(colors: any): void;

    public static initStyles(colors?: any): void;

    public setContent(content: any): void;

}

export default DragUI;
export {DragUI};
