

declare namespace ElfDate {

    function from(val: any): Date|null;

    function isValid(d: Date|null): boolean;

    function prefixSingleDigit(n: number): string;

    function toYMD(d: string|Date|null): string;

    function setDate(edtp: Element|null, val: any): void;

    function getDate(edtp: Element|null): Date|null;

    function compare(valA: any, valB: any): number;

    function equal(valA: any, valB: any): boolean;

    function extractDate(d: Date|null): (number)[]|null;

}

export default ElfDate;
export { ElfDate };
