import { Ext } from "./Ext.js";
import { ElementWrapper } from "./ElementWrapper.js";
import { ElfUtil } from "./ElfUtil.js";

declare class ExpanderIcon extends ElementWrapper {

    constructor();

    public static loadExpanderStyles(): void;

    public expand(): void;

    public collapse(): void;

    public isExpanded(): boolean;

    public isCollapsed(): boolean;

    public toggle(collapsed?: boolean|null): void;

}

export default ExpanderIcon;
export { ExpanderIcon };
