import {Dom} from './Dom.js';

declare namespace TextHighlighter {

    const invalidChars: RegExp|null;

    const spaces: RegExp|null;

    const defaultTag: string;

}

declare function score(haystack: string, needle: string|RegExp|null, caseSensitive?: (boolean|number)|null): (string)[];

export default TextHighlighter;
export {TextHighlighter};
