/** @type {Object.<string, number>}
* @public
*/
let TickCodes = {
	"\u21e7": 1,
	"B\u21e7": 1,
	"\u2191": 1,
	"B\u2191": 1,
	"26": 1,
	"1": 1,
	"\"1\"": 1,
	"-1": -1,
	"\u21e9": -1,
	"B\u21e9": -1,
	"\u2193": -1,
	"B\u2193": -1,
	"27": -1,
	"2": -1,
	"\"2\"": -1
};

/** @type {Object.<string, number>}
* @public
*/
let TickFields = {
	"CF_TICK": 1,
	"PRCTCK_1": 1,
	"BID_TICK": 1,
	"ASK_TICK": 1
};

export default TickCodes;
export {TickCodes, TickFields};
