import {Ext} from "../Ext.js";
import {Util} from "../Util.js";
import {EventDispatcher} from "../EventDispatcher.js";

declare class ADCSubscription extends EventDispatcher {

    constructor();

    public setDataCloudSettings(userId: string, productId: string, url: string, opt_lang?: string|null): void;

    public setIntervalTime(time: number): void;

    public addSymbolToField(symbol: string, field: string): any;

}

export {ADCSubscription};
