import {Ext} from "../Ext.js";
import {EventDispatcher} from "../EventDispatcher.js";

declare class IntervalSubscription extends EventDispatcher {

    constructor(funcName?: string|null, func?: ((...params: any[]) => any)|null, time?: number|null);

    public setIntervalTime(time: number): void;

    public getValue(): any;

    public getFunctionName(): string;

}

export {IntervalSubscription};
