import {Ext} from "../Ext.js";
import {Util} from "../Util.js";
import {EventDispatcher} from "../EventDispatcher.js";
import {RequestQueue} from "../RequestQueue.js";

declare class TSISubscription extends EventDispatcher {

    constructor();

    public setIntervalTime(time: number): void;

    public setTSISettings(sharedServiceUrl?: string|null, taServiceUrl?: string|null): void;

    public addSymbolAndFieldToPeriod(symbol: string, field: string, period: string): any;

}

export {TSISubscription};
