/**
* @namespace
*/
let DataSet = {};

DataSet.texts = [
	"If a dog and cat had a baby together that grew up and worked a desk job he'd be a Cog in the machine",
	"I'm still upset that Tie Domi didn't name his child Tyson",
	"A tagline for a car company that prides itself on its morals and ethics: Take the High Road",
	"Logan Broger is amazing and a wonderful boy according to Logan's mom",
	"You know the Grammys are a joke when Future doesn't win Best Everything",
	"If you were a member of the Bloods and became paralyzed do you then become a member of the Crips?",
	"Curling is the best sport named after something you do to your hair",
	"You say potatoe, I say starchy carbs",
	"If you work for an ad agency and getting paid for it aren't you the one who is being influenced by advertising?",
	"Are there Out of Stock photos? Gafuffle",
	"I think of a lot of good ideas when going to the bathroom I guess I have a real stream of consciousness",
	"Most streets are two way streets",
	"Why does that make love so special?",
	"A tagline for an airline: Take the High Road",
	"Rumour has it targeted online advertising was developed because the internet was upset that you could read it but it couldn't read you",
	"This is a true fact: I never had a fear of heights until I fell off a roof",
	"A tagline for a special highway that is easy to navigate while under the influence of drugs: Take the High Road",
	"I'm the only person in the world with my name",
	"We need more werkin and less twerkin if you ask me",
	"If Fantasy Hockey actually lived up to its name, every team would have Henrik Lundqvist and Joffrey Lupul on it",
	"I'm in a band that does Metallica covers with our private parts it's called Myphallica",
	"Smiling could easily be misinterpreted for showing your teeth to someone because they said something that made you happy",
	"We say we are walking the dog, but the dog always leads",
	"Tim Horton was a hockey player but is the name of a coffee chain, which means my dream of a goat sanctuary being my legacy is not unrealistic",
	"I started a sensory deprivation chamber business it involves really dark curtains, ear plugs, and a sleeping mask",
	"Do we make money or does money make us? Chezwich",
	"Pantone is a colour but also the singular version of pants",
	"Logan Ipsum will loop at some point",
	"Thank you for using my words in your work",
	"You should listen to my mixtape (check out the rest of my portfolio)",
	"I have never known a Jack that was in good enough shape to name bodybuilding after him",
	"Twitter is the rice of social media",
	"Injuries always keep you OUT of things",
	"For the name of an act as serious as killing someone, assassination literally translates to buttbuttination",
	"Why don't we call glasses duocles",
	"If you wake up with a giant zit, you are really facing your fears when you look in the mirror",
	"Cemeteries are just garbage dumps filled with humans",
	"I have a moral code, but I haven't figured out how to read it yet",
	"I bet most serial killers play the drums",
	"To Catch A Predator would have been a great name for a Steve Irwin show",
	"If the word kerning is kerned poorly, it kind of looks like learning which is appropriate because both are important",
	"North America should be called Russia since people are always moving so fast",
	"I don't need a big house, just a two floor condo you could say I have lofty expectations",
	"Even faithful and simple Sancho is forced to deceive him at certain points",
	"The novel is considered a satire of orthodoxy, veracity and even nationalism",
	"In exploring the individualism of his characters, Cervantes helped move beyond the narrow literary conventions of the chivalric romance literature that he spoofed",
	"which consists of straightforward retelling of a series of acts that redound to the knightly virtues of the hero",
	"The character of Don Quixote became so well known in its time that the word quixotic was quickly adopted by many languages",
	"Characters such as Sancho Panza and Don Quixote's steed, Rocinante, are emblems of Western literary culture",
	"It stands in a unique position between medieval chivalric romance and the modern novel",
	"The former consist of disconnected stories featuring the same characters and settings with little exploration of the inner life of even the main character"
];

DataSet.words = DataSet.texts.join(" ").split(" ").filter(function(w) { return w.length > 1; });

DataSet.companyName = [
	"Yost-Prohaska",
	"Wehner, Howe and Brown",
	"Gusikowski-Legros",
	"Wolff-Windler",
	"McGlynn, Douglas and Kilback",
	"MacGyver Group",
	"Spinka, Stracke and Huel",
	"Howell, Wolff and Emmerich",
	"Blick-O'Reilly",
	"Dibbert, Buckridge and Leffler",
	"Skiles, Kuhlman and Johns",
	"Daugherty Group",
	"Reilly, Toy and Bayer",
	"Bradtke, Mohr and Weber",
	"Thompson, Bruen and Friesen",
	"Rempel-Bednar",
	"Kunze LLC",
	"Pfannerstill Group",
	"Moen-Larkin",
	"Larson LLC",
	"Haag-Feest",
	"Hauck-Bartell",
	"Rohan-Kohler",
	"Waters, Homenick and Pagac",
	"Ziemann Group",
	"Reynolds, Turcotte and Bosco",
	"Graham, Morar and Waters",
	"Cassin Inc",
	"Bosco-Terry",
	"Stanton-Blick",
	"Prohaska and Sons",
	"Pouros, Daugherty and Pfannerstill",
	"Bogan-Cormier",
	"O'Kon-Mills",
	"Mueller-Schmeler",
	"Runte-Trantow",
	"Muller Inc",
	"Shanahan, Ryan and Orn",
	"Huel LLC",
	"Shanahan-Zulauf",
	"Emard-Schuster",
	"Muller Inc",
	"Collier, Muller and Yundt",
	"Wehner, Prohaska and Harber",
	"Ondricka-Stehr",
	"Towne LLC",
	"Feil Inc",
	"Braun, Kihn and Treutel",
	"Ebert-MacGyver",
	"Harris LLC"
];

DataSet.industry = [
	"Specialty Chemicals",
	"Office Equipment/Supplies/Services",
	"Electric Utilities: Central",
	"Trucking Freight/Courier Services",
	"Auto Parts:O.E.M.",
	"Oil Refining/Marketing",
	"Biotechnology: Biological Products (No Diagnostic Substances)",
	"Computer Software: Programming, Data Processing",
	"Farming/Seeds/Milling",
	"Biotechnology: Laboratory Analytical Instruments",
	"Finance: Consumer Services",
	"Major Banks",
	"Investment Managers",
	"Oilfield Services/Equipment",
	"Paper",
	"Transportation Services"
];

DataSet.market = [
	"NYSE",
	"NASDAQ",
	"SET",
	"DJI",
	"HSCEI",
	"HKEX",
	"NIKKEI"
];

DataSet.country = [
	{"name": "Afghanistan", "code": "AF"},
	{"name": "land Islands", "code": "AX"},
	{"name": "Albania", "code": "AL"},
	{"name": "Algeria", "code": "DZ"},
	{"name": "American Samoa", "code": "AS"},
	{"name": "AndorrA", "code": "AD"},
	{"name": "Angola", "code": "AO"},
	{"name": "Anguilla", "code": "AI"},
	{"name": "Antarctica", "code": "AQ"},
	{"name": "Antigua and Barbuda", "code": "AG"},
	{"name": "Argentina", "code": "AR"},
	{"name": "Armenia", "code": "AM"},
	{"name": "Aruba", "code": "AW"},
	{"name": "Australia", "code": "AU"},
	{"name": "Austria", "code": "AT"},
	{"name": "Azerbaijan", "code": "AZ"},
	{"name": "Bahamas", "code": "BS"},
	{"name": "Bahrain", "code": "BH"},
	{"name": "Bangladesh", "code": "BD"},
	{"name": "Barbados", "code": "BB"},
	{"name": "Belarus", "code": "BY"},
	{"name": "Belgium", "code": "BE"},
	{"name": "Belize", "code": "BZ"},
	{"name": "Benin", "code": "BJ"},
	{"name": "Bermuda", "code": "BM"},
	{"name": "Bhutan", "code": "BT"},
	{"name": "Bolivia", "code": "BO"},
	{"name": "Bosnia and Herzegovina", "code": "BA"},
	{"name": "Botswana", "code": "BW"},
	{"name": "Bouvet Island", "code": "BV"},
	{"name": "Brazil", "code": "BR"},
	{"name": "British Indian Ocean Territory", "code": "IO"},
	{"name": "Brunei Darussalam", "code": "BN"},
	{"name": "Bulgaria", "code": "BG"},
	{"name": "Burkina Faso", "code": "BF"},
	{"name": "Burundi", "code": "BI"},
	{"name": "Cambodia", "code": "KH"},
	{"name": "Cameroon", "code": "CM"},
	{"name": "Canada", "code": "CA"},
	{"name": "Cape Verde", "code": "CV"},
	{"name": "Cayman Islands", "code": "KY"},
	{"name": "Central African Republic", "code": "CF"},
	{"name": "Chad", "code": "TD"},
	{"name": "Chile", "code": "CL"},
	{"name": "China", "code": "CN"},
	{"name": "Christmas Island", "code": "CX"},
	{"name": "Cocos (Keeling) Islands", "code": "CC"},
	{"name": "Colombia", "code": "CO"},
	{"name": "Comoros", "code": "KM"},
	{"name": "Congo", "code": "CG"},
	{"name": "Congo, The Democratic Republic of the", "code": "CD"},
	{"name": "Cook Islands", "code": "CK"},
	{"name": "Costa Rica", "code": "CR"},
	{"name": "Cote D'Ivoire", "code": "CI"},
	{"name": "Croatia", "code": "HR"},
	{"name": "Cuba", "code": "CU"},
	{"name": "Cyprus", "code": "CY"},
	{"name": "Czech Republic", "code": "CZ"},
	{"name": "Denmark", "code": "DK"},
	{"name": "Djibouti", "code": "DJ"},
	{"name": "Dominica", "code": "DM"},
	{"name": "Dominican Republic", "code": "DO"},
	{"name": "Ecuador", "code": "EC"},
	{"name": "Egypt", "code": "EG"},
	{"name": "El Salvador", "code": "SV"},
	{"name": "Equatorial Guinea", "code": "GQ"},
	{"name": "Eritrea", "code": "ER"},
	{"name": "Estonia", "code": "EE"},
	{"name": "Ethiopia", "code": "ET"},
	{"name": "Falkland Islands (Malvinas)", "code": "FK"},
	{"name": "Faroe Islands", "code": "FO"},
	{"name": "Fiji", "code": "FJ"},
	{"name": "Finland", "code": "FI"},
	{"name": "France", "code": "FR"},
	{"name": "French Guiana", "code": "GF"},
	{"name": "French Polynesia", "code": "PF"},
	{"name": "French Southern Territories", "code": "TF"},
	{"name": "Gabon", "code": "GA"},
	{"name": "Gambia", "code": "GM"},
	{"name": "Georgia", "code": "GE"},
	{"name": "Germany", "code": "DE"},
	{"name": "Ghana", "code": "GH"},
	{"name": "Gibraltar", "code": "GI"},
	{"name": "Greece", "code": "GR"},
	{"name": "Greenland", "code": "GL"},
	{"name": "Grenada", "code": "GD"},
	{"name": "Guadeloupe", "code": "GP"},
	{"name": "Guam", "code": "GU"},
	{"name": "Guatemala", "code": "GT"},
	{"name": "Guernsey", "code": "GG"},
	{"name": "Guinea", "code": "GN"},
	{"name": "Guinea-Bissau", "code": "GW"},
	{"name": "Guyana", "code": "GY"},
	{"name": "Haiti", "code": "HT"},
	{"name": "Heard Island and Mcdonald Islands", "code": "HM"},
	{"name": "Holy See (Vatican City State)", "code": "VA"},
	{"name": "Honduras", "code": "HN"},
	{"name": "Hong Kong", "code": "HK"},
	{"name": "Hungary", "code": "HU"},
	{"name": "Iceland", "code": "IS"},
	{"name": "India", "code": "IN"},
	{"name": "Indonesia", "code": "ID"},
	{"name": "Iran, Islamic Republic Of", "code": "IR"},
	{"name": "Iraq", "code": "IQ"},
	{"name": "Ireland", "code": "IE"},
	{"name": "Isle of Man", "code": "IM"},
	{"name": "Israel", "code": "IL"},
	{"name": "Italy", "code": "IT"},
	{"name": "Jamaica", "code": "JM"},
	{"name": "Japan", "code": "JP"},
	{"name": "Jersey", "code": "JE"},
	{"name": "Jordan", "code": "JO"},
	{"name": "Kazakhstan", "code": "KZ"},
	{"name": "Kenya", "code": "KE"},
	{"name": "Kiribati", "code": "KI"},
	{"name": "Korea, Democratic People'S Republic of", "code": "KP"},
	{"name": "Korea, Republic of", "code": "KR"},
	{"name": "Kuwait", "code": "KW"},
	{"name": "Kyrgyzstan", "code": "KG"},
	{"name": "Lao People'S Democratic Republic", "code": "LA"},
	{"name": "Latvia", "code": "LV"},
	{"name": "Lebanon", "code": "LB"},
	{"name": "Lesotho", "code": "LS"},
	{"name": "Liberia", "code": "LR"},
	{"name": "Libyan Arab Jamahiriya", "code": "LY"},
	{"name": "Liechtenstein", "code": "LI"},
	{"name": "Lithuania", "code": "LT"},
	{"name": "Luxembourg", "code": "LU"},
	{"name": "Macao", "code": "MO"},
	{"name": "Macedonia, The Former Yugoslav Republic of", "code": "MK"},
	{"name": "Madagascar", "code": "MG"},
	{"name": "Malawi", "code": "MW"},
	{"name": "Malaysia", "code": "MY"},
	{"name": "Maldives", "code": "MV"},
	{"name": "Mali", "code": "ML"},
	{"name": "Malta", "code": "MT"},
	{"name": "Marshall Islands", "code": "MH"},
	{"name": "Martinique", "code": "MQ"},
	{"name": "Mauritania", "code": "MR"},
	{"name": "Mauritius", "code": "MU"},
	{"name": "Mayotte", "code": "YT"},
	{"name": "Mexico", "code": "MX"},
	{"name": "Micronesia, Federated States of", "code": "FM"},
	{"name": "Moldova, Republic of", "code": "MD"},
	{"name": "Monaco", "code": "MC"},
	{"name": "Mongolia", "code": "MN"},
	{"name": "Montenegro", "code": "ME"},
	{"name": "Montserrat", "code": "MS"},
	{"name": "Morocco", "code": "MA"},
	{"name": "Mozambique", "code": "MZ"},
	{"name": "Myanmar", "code": "MM"},
	{"name": "Namibia", "code": "NA"},
	{"name": "Nauru", "code": "NR"},
	{"name": "Nepal", "code": "NP"},
	{"name": "Netherlands", "code": "NL"},
	{"name": "Netherlands Antilles", "code": "AN"},
	{"name": "New Caledonia", "code": "NC"},
	{"name": "New Zealand", "code": "NZ"},
	{"name": "Nicaragua", "code": "NI"},
	{"name": "Niger", "code": "NE"},
	{"name": "Nigeria", "code": "NG"},
	{"name": "Niue", "code": "NU"},
	{"name": "Norfolk Island", "code": "NF"},
	{"name": "Northern Mariana Islands", "code": "MP"},
	{"name": "Norway", "code": "NO"},
	{"name": "Oman", "code": "OM"},
	{"name": "Pakistan", "code": "PK"},
	{"name": "Palau", "code": "PW"},
	{"name": "Palestinian Territory, Occupied", "code": "PS"},
	{"name": "Panama", "code": "PA"},
	{"name": "Papua New Guinea", "code": "PG"},
	{"name": "Paraguay", "code": "PY"},
	{"name": "Peru", "code": "PE"},
	{"name": "Philippines", "code": "PH"},
	{"name": "Pitcairn", "code": "PN"},
	{"name": "Poland", "code": "PL"},
	{"name": "Portugal", "code": "PT"},
	{"name": "Puerto Rico", "code": "PR"},
	{"name": "Qatar", "code": "QA"},
	{"name": "Reunion", "code": "RE"},
	{"name": "Romania", "code": "RO"},
	{"name": "Russian Federation", "code": "RU"},
	{"name": "RWANDA", "code": "RW"},
	{"name": "Saint Helena", "code": "SH"},
	{"name": "Saint Kitts and Nevis", "code": "KN"},
	{"name": "Saint Lucia", "code": "LC"},
	{"name": "Saint Pierre and Miquelon", "code": "PM"},
	{"name": "Saint Vincent and the Grenadines", "code": "VC"},
	{"name": "Samoa", "code": "WS"},
	{"name": "San Marino", "code": "SM"},
	{"name": "Sao Tome and Principe", "code": "ST"},
	{"name": "Saudi Arabia", "code": "SA"},
	{"name": "Senegal", "code": "SN"},
	{"name": "Serbia", "code": "RS"},
	{"name": "Seychelles", "code": "SC"},
	{"name": "Sierra Leone", "code": "SL"},
	{"name": "Singapore", "code": "SG"},
	{"name": "Slovakia", "code": "SK"},
	{"name": "Slovenia", "code": "SI"},
	{"name": "Solomon Islands", "code": "SB"},
	{"name": "Somalia", "code": "SO"},
	{"name": "South Africa", "code": "ZA"},
	{"name": "South Georgia and the South Sandwich Islands", "code": "GS"},
	{"name": "Spain", "code": "ES"},
	{"name": "Sri Lanka", "code": "LK"},
	{"name": "Sudan", "code": "SD"},
	{"name": "Suriname", "code": "SR"},
	{"name": "Svalbard and Jan Mayen", "code": "SJ"},
	{"name": "Swaziland", "code": "SZ"},
	{"name": "Sweden", "code": "SE"},
	{"name": "Switzerland", "code": "CH"},
	{"name": "Syrian Arab Republic", "code": "SY"},
	{"name": "Taiwan, Province of China", "code": "TW"},
	{"name": "Tajikistan", "code": "TJ"},
	{"name": "Tanzania, United Republic of", "code": "TZ"},
	{"name": "Thailand", "code": "TH"},
	{"name": "Timor-Leste", "code": "TL"},
	{"name": "Togo", "code": "TG"},
	{"name": "Tokelau", "code": "TK"},
	{"name": "Tonga", "code": "TO"},
	{"name": "Trinidad and Tobago", "code": "TT"},
	{"name": "Tunisia", "code": "TN"},
	{"name": "Turkey", "code": "TR"},
	{"name": "Turkmenistan", "code": "TM"},
	{"name": "Turks and Caicos Islands", "code": "TC"},
	{"name": "Tuvalu", "code": "TV"},
	{"name": "Uganda", "code": "UG"},
	{"name": "Ukraine", "code": "UA"},
	{"name": "United Arab Emirates", "code": "AE"},
	{"name": "United Kingdom", "code": "GB"},
	{"name": "United States", "code": "US"},
	{"name": "United States Minor Outlying Islands", "code": "UM"},
	{"name": "Uruguay", "code": "UY"},
	{"name": "Uzbekistan", "code": "UZ"},
	{"name": "Vanuatu", "code": "VU"},
	{"name": "Venezuela", "code": "VE"},
	{"name": "Viet Nam", "code": "VN"},
	{"name": "Virgin Islands, British", "code": "VG"},
	{"name": "Virgin Islands, U.S.", "code": "VI"},
	{"name": "Wallis and Futuna", "code": "WF"},
	{"name": "Western Sahara", "code": "EH"},
	{"name": "Yemen", "code": "YE"},
	{"name": "Zambia", "code": "ZM"},
	{"name": "Zimbabwe", "code": "ZW"}
];

export default DataSet;
export { DataSet };
