import {MockQuotes} from "./MockQuotes.js";
import {MockQuotes2} from "./MockQuotes2.js";
import {MockArchive} from "./MockArchive.js";
import {mockDataAPI} from "./mockDataAPI.js";

declare class MockJET {

    constructor(options?: any);

    public init(options?: any): MockJET|null;

    public onLoad(handler: ((...params: any[]) => any)|null): MockJET|null;

    public navigate(obj: any): MockJET|null;

    public appHit(name: string, type: string, property: string): void;

    public getUserInfo(): Promise<any>|null;

    public contextChange(contextAry: any[]|null): void;

}

export default MockJET;
export {MockJET};
