import FormatterBuilder from "./FormatterBuilder.js";
import CoralItems from "../../tr-grid-util/es6/CoralItems.js";

declare namespace CoralSelectFormatter {

    type Options = {
        data?: any[]|null,
        entries?: any[]|null,
        items?: any[]|null
    };

}

declare class CoralSelectFormatter {

    constructor(options?: any);

    public static create(options?: (FormatterBuilder.Options|CoralSelectFormatter.Options|any)|null): any;

}

export default CoralSelectFormatter;
export { CoralSelectFormatter };
