import Ext from "../../../../tr-grid-util/es6/Ext.js";
import EventDispatcher from "../grid/event/EventDispatcher.js";

declare class DataCache extends EventDispatcher {

    constructor();

    public dispose(): void;

    public clearAllData(opt_suppressEvent?: boolean|null): void;

    public clearColumnData(colId: (string)[]|string|null, opt_suppressEvent?: boolean|null): void;

    public getData(rid: string, cid: string): any;

    public getAllRowIds(): (string)[]|null;

    public hasRowId(rid: string): boolean;

    public getColumnData(cid: string): (any)[];

    public getRowData(rid: string): { [key: string]:  any };

    public getMultipleRowData(rids: (string)[]|null, opt_from?: number|null, opt_to?: number|null): (any)[];

    public getAllRowData(): ({ [key: string]:  any })[];

    public setData(rid: string, cid: string, value: any): boolean;

    public setRowData(rid: string, values?: { [key: string]:  any }|null, opt_eventArg?: any): boolean;

    public cloneRowData(rid: string): any;

    public dump(options?: any): (any)[];

    public log(opt_options?: any): void;

}

declare function cid(rid: string, cid: string): any;

export default DataCache;
export { DataCache };
