import FormatterBuilder from "./FormatterBuilder.js";
import CoralItems from "../../tr-grid-util/es6/CoralItems.js";

declare namespace EFSelectFormatter {

    type Options = {
        data?: any[]|null,
        entries?: any[]|null,
        items?: any[]|null
    };

}

declare class EFSelectFormatter {

    constructor(options?: any);

    public static create(options?: (FormatterBuilder.Options|EFSelectFormatter.Options|any)|null): any;

}

export default EFSelectFormatter;
export { EFSelectFormatter };
