import StatisticsRow from "../../statistics-row/es6/StatisticsRow.js";
import AutoTooltip from "../../tr-grid-auto-tooltip/es6/AutoTooltip.js";
import Checkbox from "../../tr-grid-checkbox/es6/Checkbox.js";
import ColumnFitter from "../../tr-grid-column-fitter/es6/ColumnFitter.js";
import ColumnFormatting from "../../tr-grid-column-formatting/es6/ColumnFormatting.js";
import ColumnResizing from "../../tr-grid-column-resizing/es6/ColumnResizing.js";
import ColumnSelection from "../../tr-grid-column-selection/es6/ColumnSelection.js";
import ColumnStack from "../../tr-grid-column-stack/es6/ColumnStack.js";
import ConditionalColoring from "../../tr-grid-conditional-coloring/es6/ConditionalColoring.js";
import ContentWrap from "../../tr-grid-content-wrap/es6/ContentWrap.js";
import FilterInput from "../../tr-grid-filter-input/es6/FilterInput.js";
import HeatMap from "../../tr-grid-heat-map/es6/HeatMap.js";
import InCellEditing from "../../tr-grid-in-cell-editing/es6/InCellEditing.js";
import PercentBar from "../../tr-grid-percent-bar/es6/PercentBar.js";
import RangeBar from "../../tr-grid-range-bar/es6/RangeBar.js";
import RowFiltering from "../../tr-grid-row-filtering/es6/RowFiltering.js";
import TextFormatting from "../../tr-grid-textformatting/es6/TextFormatting.js";


type ExtensionColumnOptions = StatisticsRow.ColumnOptions &
  AutoTooltip.ColumnOptions &
  Checkbox.ColumnOptions &
  ColumnFitter.ColumnOptions &
  ColumnFormatting.ColumnOptions &
  ColumnResizing.ColumnOptions &
  ColumnSelection.ColumnOptions &
  ColumnStack.ColumnOptions &
  ConditionalColoring.ColumnOptions &
  ContentWrap.ColumnOptions &
  FilterInput.GridColumn &
  HeatMap.ColumnOptions &
  InCellEditing.ColumnOptions &
  PercentBar.ColumnOptions &
  RangeBar.ColumnOptions &
  RowFiltering.ColumnOptions &
  TextFormatting.ColumnOptions;


export default ExtensionColumnOptions;
export { ExtensionColumnOptions };

