import ColumnDragging from "../../column-dragging/es6/ColumnDragging.js";
import RowSegmenting from "../../row-segmenting/es6/RowSegmenting.js";
import StatisticsRow from "../../statistics-row/es6/StatisticsRow.js";
import Zoom from "../../zoom/es6/Zoom.js";
import AutoTooltip from "../../tr-grid-auto-tooltip/es6/AutoTooltip.js";
import CellSelection from "../../tr-grid-cell-selection/es6/CellSelection.js";
import Checkbox from "../../tr-grid-checkbox/es6/Checkbox.js";
import ColumnFitter from "../../tr-grid-column-fitter/es6/ColumnFitter.js";
import ColumnFormatting from "../../tr-grid-column-formatting/es6/ColumnFormatting.js";
import ColumnGrouping from "../../tr-grid-column-grouping/es6/ColumnGrouping.js";
import ColumnResizing from "../../tr-grid-column-resizing/es6/ColumnResizing.js";
import ColumnSelection from "../../tr-grid-column-selection/es6/ColumnSelection.js";
import ColumnStack from "../../tr-grid-column-stack/es6/ColumnStack.js";
import ConditionalColoring from "../../tr-grid-conditional-coloring/es6/ConditionalColoring.js";
import ContentWrap from "../../tr-grid-content-wrap/es6/ContentWrap.js";
import ContextMenu from "../../tr-grid-contextmenu/es6/ContextMenu.js";
import FilterInput from "../../tr-grid-filter-input/es6/FilterInput.js";
import HeatMap from "../../tr-grid-heat-map/es6/HeatMap.js";
import InCellEditing from "../../tr-grid-in-cell-editing/es6/InCellEditing.js";
import Pagination from "../../tr-grid-pagination/es6/Pagination.js";
import PercentBar from "../../tr-grid-percent-bar/es6/PercentBar.js";
import RangeBar from "../../tr-grid-range-bar/es6/RangeBar.js";
import RowDragging from "../../tr-grid-row-dragging/es6/RowDragging.js";
import RowFiltering from "../../tr-grid-row-filtering/es6/RowFiltering.js";
import RowGrouping from "../../tr-grid-row-grouping/es6/RowGrouping.js";
import RowSelection from "../../tr-grid-row-selection/es6/RowSelection.js";
import RowColoring from "../../tr-grid-rowcoloring/es6/RowColoring.js";
import TextFormatting from "../../tr-grid-textformatting/es6/TextFormatting.js";
import TitleWrap from "../../tr-grid-titlewrap/es6/TitleWrap.js";

type Extensions = ColumnDragging |
  RowSegmenting |
  StatisticsRow |
  Zoom |
  AutoTooltip |
  CellSelection |
  Checkbox |
  ColumnFitter |
  ColumnFormatting |
  ColumnGrouping |
  ColumnResizing |
  ColumnSelection |
  ColumnStack |
  ConditionalColoring |
  ContentWrap |
  ContextMenu |
  FilterInput |
  HeatMap |
  InCellEditing |
  Pagination |
  PercentBar |
  RangeBar |
  RowDragging |
  RowFiltering |
  RowGrouping |
  RowSelection |
  RowColoring |
  TextFormatting |
  TitleWrap;

export default Extensions;
export { Extensions };

