import EventDispatcher from "../../tr-grid-util/es6/EventDispatcher.js";
import Ext from "../../tr-grid-util/es6/Ext.js";

declare class MenuItem extends EventDispatcher {

    constructor(options?: any);

    public dispose(): void;

    public setId(id: any): void;

    public getId(): any;

    public setText(text: any): void;

    public getText(): string;

    public setValue(value: any): void;

    public getValue(): any;

    public setSelectable(selectable?: boolean|null): void;

    public isSelectable(): boolean;

    public setItems(items: any[]|null): void;

    public getItems(): any[]|null;

    public setType(type: string): void;

    public getType(): string;

    public getElement(): Element|null;

    public getOptions(): any;

}

export default MenuItem;
export { MenuItem };
