import {Ext} from '../../tr-grid-util/es6/Ext.js';
import {GridPlugin} from '../../tr-grid-util/es6/GridPlugin.js';
import {RangeBar} from '../../tr-grid-util/es6/RangeBar.js';
import {Dom} from '../../tr-grid-util/es6/Dom.js';
import {ElfUtil} from '../../tr-grid-util/es6/ElfUtil.js';

declare namespace RangeBarPlugin {

    type ColumnOptions = {
        rangeBar?: RangeBarPlugin.RangeDefinition
    };

    type RangeDefinition = {
        field?: string,
        start?: number,
        end?: number,
        low?: string,
        high?: string,
        last?: string
    };

}

declare class RangeBarPlugin extends GridPlugin {

    constructor();

    public initialize(host: any, options?: any): void;

    public unload(host: any): void;

    public config(options?: any): void;

    public getConfigObject(out_obj?: any): any;

}

export default RangeBarPlugin;
export { RangeBarPlugin, RangeBarPlugin as RangeBar, RangeBarPlugin as RangeBarExtension };
