import FormatterBuilder from "./FormatterBuilder.js";

declare namespace SimpleImageFormatter {

    type Options = {
        height?: (string|number)|null,
        width?: (string|number)|null
    };

}

declare class SimpleImageFormatter {

    constructor(options?: any);

    public static create(options?: (FormatterBuilder.Options|SimpleImageFormatter.Options|any)|null): any;

}

export default SimpleImageFormatter;
export { SimpleImageFormatter };
