import * as allComponents from './index.js';
import * as utils from './utils/index.js';
import { MockJET } from './tr-grid-util/es6/jet/MockJET.js';
import { MockRTK } from './tr-grid-util/es6/jet/MockRTK.js';
import { MockQuotes2 } from './tr-grid-util/es6/jet/MockQuotes2.js';

// export to window
window.MockJET = MockJET;
window.MockRTK = MockRTK;
window.MockQuotes2 = MockQuotes2;

for (const component in allComponents) {
  window[component] = allComponents[component];
}

for (const util in utils) {
  window[util] = utils[util];
}
